curl --request POST \
--url https://api.hubapi.com/crm/objects/2025-09/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{\"missingScopes\": [\"scope1\", \"scope2\"]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Recupere registros por ID de registro ou inclua o parâmetro “idProperty” para recuperar registros por uma propriedade de valor exclusivo personalizada.
curl --request POST \
--url https://api.hubapi.com/crm/objects/2025-09/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "430001"
}
],
"properties": [
"<string>"
],
"propertiesWithHistory": [
"<string>"
],
"idProperty": "<string>"
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{\"missingScopes\": [\"scope1\", \"scope2\"]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Produtos suportados
Escopos Necessários
The access token received from the authorization server in the OAuth 2.0 flow.
Se apenas os resultados que foram arquivados devem ser retornados.
Specifies the input for reading a batch of CRM objects, including arrays of object IDs, requested property names (with optional history), and an optional unique identifying property.
Show child attributes
Pares de chave-valor para definir propriedades para o novo objeto.
Pares de chave-valor para definir propriedades para o novo objeto e seus históricos.
Ao usar uma propriedade de valor exclusivo personalizada para recuperar registros, este é o nome da propriedade. Não inclua esse parâmetro se estiver recuperando por ID de registro.
successful operation
A public object batch response object
A data e hora em que o processamento em lote foi concluído, no formato ISO 8601.
Show child attributes
A data e hora em que o processamento em lote foi iniciado, no formato ISO 8601.
O status da solicitação de processamento em lote. O valor esperado é "CONCLUÍDO".
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Um objeto contendo links relevantes relacionados à solicitação em lote.
Show child attributes
The total number of errors that occurred during the batch operation.
A data e hora em que a solicitação em lote foi feita inicialmente, no formato ISO 8601.